.blog {
    max-width: 1200px;
    padding-top: 5vw;
    display: block;
    margin: 0 auto;
    text-align: left;
}

.blog h1 {
    font-size: clamp(1.5rem, 4vw, 3rem);
    text-align: center;
}

.blog h2 {
    font-size: clamp(1.1rem, 1.2vw, 1.5rem);
    margin-bottom: 20px;
    text-align: center;
}

.blog p {
    font-size: clamp(1rem, 1.1vw, 1.2rem);
    margin-bottom: 1em;
}

.giscus, /* trying to hijack giscus width because it wont play nice */
.giscus-frame {
  width: 100% !important;
  max-width: 100% !important;
  display: block !important;
  margin-top: -3vw;
}

.footer p {
    margin-top: 50px;
    margin-bottom: 20px;
}

/* stuff for list (blogs.htm) */
.blog-list {
    padding-top: 2vw;
}

.blog-list h1 {
    font-size: clamp(3rem, 5vw, 8rem);
    padding-bottom: 2vw;
}
.blog-list h2 {
    font-size: clamp(1.25rem, 1.4vw, 1.8rem);
    margin-bottom: 0.67em;
}

@media (max-width: 1250px) {
    .blog {
        max-width: 92vw;
    }
}

@media (max-width: 768px) {
    .blog {
        line-height: 1.4;
    }
}
